<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content=""/>
    <meta name="author" content="zRed"/>
    <base href="/">
    <link rel="shortcut icon" href="favicon.ico"/>
    <link rel="stylesheet" href="lib/bootstrap/css/bootstrap.css"/>
    <link rel="stylesheet" href="lib/sidenav/sidenav.min.css"/>
    <link rel="stylesheet" href="lib/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="lib/datatables/css/dataTables.bootstrap.css" />
    <link rel="stylesheet" href="lib/jquery.lineProgressbar/jquery.lineProgressbar.css" type="text/css"/>
    <link rel="stylesheet" href="lib/qtip2/jquery.qtip.css" type="text/css"/>
    <link rel="stylesheet" href="lib/visjs/vis.css" type="text/css"/>
    <link rel="stylesheet" href="lib/offline.min.css" type="text/css"/>
    <link rel="stylesheet" href="openZmeter.css"/>
    <title>openZmeter - Events - Disturbances</title>
  </head>
  <body onload="StartPageLoad()">
    <span data-load-block="Header_Block"></span>
    <div id="wrapper">

        <div class="row">
          <div class="col-lg-12">
            <div class="panel panel-info" id="DisturbancesPanel">
              <div id="DisturbancesSpinner" class="spinnerdiv"></div>
              <div class="panel-heading">
                <span class="huge-small">Disturbances</span>
                <div class="pull-right">
                  <span class="small"></span><br>
                  <div class="btn-group">
                    <button type="button" class="btn btn-default btn-xs" id="btnDisturbancesNow" data-toggle="tooltip" title="Move to most recent samples and update in real time"><i class="fa fa-play"></i></button>
                  </div>
                </div>
                <div class="pull-right">&nbsp;</div>
                <div class="pull-right">
                  <span class="small">Time scale:</span><br>
                  <div class="btn-group">
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventYear"  data-toggle="tooltip" title="Select exactly a year period from current time">Year</button>
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventMonth" data-toggle="tooltip" title="Select exactly a month period from current time">Month</button>
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventWeek"  data-toggle="tooltip" title="Select exactly a week period from current time">Week</button>
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventDay"   data-toggle="tooltip" title="Select exactly a day period from current time">Day</button>
                  </div>
                </div>
                <span class="clearfix"> </span>
              </div>
              <div class="panel-body panel-bigheader">
                <div id="disturbances_chart"></div>
                <br>
                <div class="panel panel-default">
                  <div class="panel-heading">
                    <i class="fa fa-table fa-fw"></i> Details
                  </div>
                  <div class="panel-body">
                    <div class="row">
                      <div class="col col-md-5">
                        <table id="EventsTable" class="table small table-striped table-responsive" cellspacing="0" width="100%">
                          <thead>
                            <tr>
                              <th style="width: 130px">Date</th><th>Type</th><th>Duration <em>(s)</em></th><th>ΔU <em>(V)</em></th><th>ΔU <em>(%)</em></th><th style="width: 60px"></th>
                            </tr>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                      <div class="col col-md-7">
                        <div id="EventSpinner" class="spinnerdiv"></div>
                        <div id="EventWaveformPanel">
                          <div id="EventWaveformMaximize">
                            <div style="padding:5px">
                              <div style="display:inline-block">&nbsp;</div>
                              <div id="EventChartLegend" style="float: right"></div>
                            </div>
                            <div id="EventChart" class="chart big_chart"></div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

          </div>
        </div>
      </div>
    </div>
    <script src="lib/jquery.min.js"></script>
    <script src="lib/bootstrap/js/bootstrap.js"></script>
    <script src="lib/sidenav/sidenav.min.js"></script>
    <script src="lib/spin.min.js"></script>
    <script src="lib/dygraph/dygraph.js"></script>
    <script src="lib/dygraph/crosshair.js"></script>
    <script src="lib/dygraph/dygraph-interaction.js"></script>
    <script src="lib/dygraph/synchronize.js"></script>
    <script src="lib/dygraph/chart-plotter.js"></script>
    <script src="lib/offline.min.js"></script>
    <script src="lib/qtip2/jquery.qtip.js"></script>
    <script src="lib/visjs/vis.js"></script>
    <script src="lib/momentjs/moment.js"></script>
    <script src="lib/momentjs/moment-duration-format.js"></script>
    <script src="lib/datatables/js/jquery.dataTables.js"></script>
    <script src="lib/datatables/js/dataTables.bootstrap.js"></script>
    <script src="openZmeter.js"></script>
    <script src="Events_Disturbances.js"></script>
    <script>
      StartPageLoad();
    </script>
  </body>
</html>
